* {
    box-sizing: border-box;
}

body {
    margin: 0 auto;
    width: 25%;
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, .1) !important;
    position: relative;
}

.offcanvas {
    margin: 0 auto;
    width: 25%;
}

.title-logo {
    color: black;
    cursor: pointer;
}

.footer-bar-1 {
    margin: 0 auto;
    width: 24%;
    border-radius: 25px;
    left: 0px !important;
    right: 0px !important;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .1) !important;
}

#footer-bar div:not(.btn) {
    padding-top: 12px;
    position: relative;
    flex: 1 1 auto;
    color: #1f1f1f;
    cursor: pointer;
}

#footer-bar div:not(.btn) span {
    position: relative;
    z-index: 2;
    display: block;
    font-size: 10px;
    font-weight: 500;
    margin-top: -3px;
    opacity: .7;
    font-family: Roboto,sans-serif!important
}

#footer-bar div:not(.btn) i {
    margin-top: 2px;
    display: block;
    font-size: 18px;
    position: relative;
    z-index: 2
}

.chat-theme {
    position: fixed;
    bottom: 40px;
    right: 0px;
    z-index: 99;
    width: 100%;
}

.chat-theme>.item-chat {
    margin: 0 auto;
    width: 25%;
    justify-content: end;
    position: relative;
}

.chat-theme>.item-chat>.button-chat-footer {
    background: white;
    width: 50px;
    height: 50px;
    position: absolute;
    right: 10px;
    bottom: 50px;
    display: flex;
    border-radius: 15px;
    justify-content: center;
    text-align: center;
    padding: 5px;
    line-height: 40px;
    box-shadow: 0px 0px 3px black;
    cursor: pointer;
}

.chat-theme>.item-chat>.button-chat-footer>img {
    width: 50px;
    border-radius: 5px;
}

.popup-overlay {
    margin: 0 auto;
    width: 24%;
}

.page-content {
    min-height: 100vh;
}

.my-toast-container {
    position: fixed !important;
    top: 20px;
    right: calc(41% - 12.5%);
    display: flex;
    flex-direction: column;
    gap: 10px;
    z-index: 9999;
    width: 26%;
}

.my-toast {
    display: flex;
    align-items: center;
    gap: 10px;
    min-width: 300px;
    max-width: 230px;
    padding: 12px 16px;
    border-radius: 3px;
    color: #fff;
    font-size: 14px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    opacity: 0;
    transform: translateX(100%);
    animation: my-slideIn 0.4s forwards, my-fadeOut 0.5s forwards 3.5s;
    position: relative;
    overflow: hidden;
    z-index: 9999 !important;
}

.my-toast .my-icon {
    font-size: 18px;
}

.my-toast.success {
    background: #93c759;
}

.my-toast.error {
    background: #e24d5e;
}

.my-toast.info {
    background: #4f8ee0;
}

.badge-success {
    background: #93c759;
    color: white;
}

.badge-primary {
    background: #4f8ee0;
    color: white;
}

.badge-warning {
    background: #f9c148;
    color: white;
}

.badge-danger {
    background: #e24d5e;
    color: white;
}

.badge-info {
    background: #4f9fe0;
    color: white;
}

.my-toast.warning {
    background: #f9c148;
}

.my-toast::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    height: 4px;
    width: 100%;
    background: rgba(255, 255, 255, 0.6);
    animation: my-progress 3.5s linear forwards;
}

@keyframes my-slideIn {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes my-fadeOut {
    to {
        opacity: 0;
        transform: translateX(100%);
    }
}

@keyframes my-progress {
    from {
        width: 100%;
    }

    to {
        width: 0;
    }
}

.profile-image {
    position: relative;
    width: 100px;
    margin: 0 auto;
}

.profile-image>.avatar-img {
    background: #efeef3 !important;
    border-radius: 50%;
    padding: 3px;
    box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.2);
}

.profile-image>.update-btn {
    position: absolute;
    bottom: 0px;
    right: 0px;
    width: 30px;
    height: 30px;
    background-color: white;
    border-radius: 50%;
    text-align: center;
    line-height: 30px;
    display: block;
    box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.2);
}

.cursor-p {
    cursor: pointer;
}

.bg-body {
    background: #eeedf2 !important;
}

.box-shadow-none {
    box-shadow: none !important;
}

.menu-size {
    z-index: 999;
}

.offcanvas.show {
    z-index: 9999 !important;
}

.offcanvas-backdrop.show {
    opacity: 0.5 !important;
}

.offcanvas-detached.offcanvas-bottom {
    bottom: 100px;
}

.bg-none {
    background: none !important;
    color: #212529 !important
}

.broadcast {
    background: #FFCC2C1A;
    color: #FF9F38;
    padding: 10px;
    font-size: 12px;
}

.broadcast>img {
    height: 18px;
}

.chat-input-group {
    display: flex;
    align-items: center;
}

#chat-body {
    height: 500px;
    overflow-y: auto;
}

.chat-input {
    flex: 1;
    border: none;
    outline: none;
    padding: 10px 12px;
    font-size: 16px;
    background-color: #f9f9f9;
    margin-right: 8px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
    border: 1px solid #ddd;
    border-radius: 12px;
}

.chat-btn {
    background-color: #eee;
    color: #333;
    padding: 10px 15px;
    margin-left: 4px;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.2s ease;
    border: 1px solid #ddd;
    border-radius: 12px;
    margin-bottom: 0px;
}

.image-btn {
    background: white !important;
}

.chat-btn:hover {
    background-color: #ddd;
    transform: scale(1.05);
}

.send-btn {
    background-color: #007bff;
    color: white;
}

.send-btn:hover {
    background-color: #0056b3;
}

.hidden {
    display: none;
}

.chat-body {
    max-height: 600px;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
}

.message {
    max-width: 80%;
    padding: 10px 14px;
    margin: 8px 0;
    border-radius: 12px;
    word-wrap: break-word;
    position: relative;
}

.message.admin {
    background-color: #e2e3e5;
    align-self: flex-start;
}

.message.user {
    background-color: #5d9cec;
    align-self: flex-end;
    margin-left: auto;
    color: white;
}

.chat-input-group {
    display: flex;
    align-items: center;
    border: 1px solid #ddd;
    border-radius: 12px;
    padding: 6px;
    background-color: #fff;
}

.chat-input {
    flex: 1;
    border: none;
    outline: none;
    padding: 10px 12px;
    font-size: 16px;
    border-radius: 8px;
    background-color: white;
    margin-right: 8px;
}

.chat-btn {
    border: none;
    background-color: #eee;
    color: #333;
    padding: 8px 12px;
    margin-left: 4px;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.2s ease;
}

.chat-btn:hover {
    background-color: #ddd;
    transform: scale(1.05);
}

.send-btn {
    background-color: #007bff;
    color: white;
}

.send-btn:hover {
    background-color: #0056b3;
}

.image-preview-container {
    padding: 10px 5px;
}

.preview-wrapper {
    position: relative;
}

.preview-image {
    border-radius: 8px;
    box-shadow: 0px 0px 2px solid black;
}

.preview-image {
    width: 100%;
}

.remove-image {
    position: absolute;
    top: -6px;
    right: 3px;
    background: red;
    color: white;
    border: none;
    border-radius: 50%;
    width: 22px;
    height: 22px;
    font-size: 16px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.chat-img {
    width: 100%;
    object-fit: cover;
    border-radius: 8px;
    border: 1px solid #ccc;
    display: block;
    margin-top: 5px;
}

.footer-bar-1 .active i {
    color: #007bff;
}

.footer-bar-1 .active span {
    color: #007bff;
    font-weight: 600;
}

.p-theme {
    padding: 10px;
}

@media (max-width: 750px) {
    body {
        width: 100%;
    }

    .footer-bar-1 {
        width: 98%;
    }

    .offcanvas {
        width: 95%;
    }

    .my-toast-container {
        width: 44%;
    }

    .chat-theme {
        width: 0%;
    }
}